/**
   Ta klasa okrela ocen z egzaminu kocowego.
*/

public class FinalExam extends GradedActivity
{
   private int numQuestions;  // Liczba pyta.
   private double pointsEach; // Liczba punktw za kade pytanie.
   private int numMissed;     // Liczba bdnych odpowiedzi.

   /**
     Konstruktor ustawia liczb pyta na egzaminie
     i liczb pominitych pyta.
     @param questions Liczba pyta.
     @param missed Liczba bdnych odpowiedzi.
   */

   public FinalExam(int questions, int missed)
   {
      double numericScore;  // Przechowuje wynik punktowy.

      // Ustawianie wartoci pl numQuestions i numMissed.
      numQuestions = questions;
      numMissed = missed;

      // Obliczanie punktw uzyskanych za pytania
      // i wynik punktowy z egzaminu.
      pointsEach = 100.0 / questions;
      numericScore = 100.0 - (missed * pointsEach);

      // Wywoanie odziedziczonej metody setScore
      // w celu ustawienia wyniku liczbowego.
      setScore(numericScore);
   }

   /**
      Metoda getPointsEach zwraca liczb 
      punktw za kade pytanie.
      @return Warto w polu pointsEach.
   */

   public double getPointsEach()
   {
      return pointsEach;
   }

   /**
      Metoda getNumMissed zwraca liczb
      pyta z bdnymi odpowiedziami.
      @return Warto w polu numMissed.
   */

   public int getNumMissed()
   {
      return numMissed;
   }
}